routes/web.php
<?php

use App\Http\Controllers\front\NoticiaController as FrontNoticiaController;
use App\Http\Controllers\back\NoticiaController as BackNoticiaController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;

// Pagina de inicio frontend
// Quiero listar todas las noticias con solo algunos campos y cuand pinche en la noticia me muestre la noticia completa
Route::controller(FrontNoticiaController::class)->group(function () {
    Route::get('/', 'index')->name('home');
    Route::get('/front/noticias/{noticia}', 'show')->name('front.noticias.show');
    Route::post('/front/noticias/buscar', 'searchNoticia')->name('front.noticias.searchNoticia');
});

// Los usuarios registrados pueden hacer esto
Route::middleware('auth')->group(function () {
    // Pagina de inicio backend
    // Si pulso sobre el icono del menu me lleve al front
    // Quiero ver informacion del usuario y un menu con gestion de noticias | Crear Noticias | Noticias del usuario |
    // Dropdown para cerrar sesion (perfil, cerrar sesion)
    Route::get('/back/index', function () {
        return view('back.index');
    })->name('back.index');

    // Gestion del perfil
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');

    // Noticias
    Route::controller(BackNoticiaController::class)->group(function () {
        // Para mostrar las noticias del usuario lougeado
        Route::get('/back/noticias/listado', 'listado')->name('back.noticias.listado');
        Route::get('/back/noticias/buscar', 'searchNoticia')->name('back.noticias.searchNoticia');
    });

    Route::resource('back/noticias', BackNoticiaController::class)->names('back.noticias');
});

require __DIR__.'/auth.php';

app/Models/Noticia.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Support\Facades\Schema;

class Noticia extends Model {
    use HasFactory;

    protected $table = 'noticias';

    protected $fillable = [
        'titulo',
        'contenido',
        'foto',
        'user_id',
    ];

    public static $labels = [
        'titulo' => 'Título',
        'contenido' => 'Contenido',
        'foto' => 'Foto',
        'user_id' => 'Usuario',
        // 'nombreuser' => 'Nombre',
    ];

    /**
     ** Recupera la lista de campos de la tabla asociada al modelo.
     *
     * @return array La lista de nombres de campos.
    */
    public function getFields(): array {
        return Schema::getColumnListing($this->table);
    }

    /**
     ** Recupera la etiqueta de un atributo dado.
     *
     * @param string $attribute El nombre del atributo.
     * @return string La etiqueta del atributo, o el nombre del atributo si no se encuentra una etiqueta.
    */
    public function getAttributeLabel($attribute): string {
        return self::$labels[$attribute] ?? $attribute;
    }

    public function user() : BelongsTo {
        return $this->belongsTo(User::class);
    }

    public function getNombreuserAttribute(): string {
        return $this->user->name;
    }
}

app/Http/Controllers/back/NoticiaController.php
<?php

namespace App\Http\Controllers\back;

use App\Http\Controllers\Controller;
use App\Http\Requests\NoticiaStoreRequest;
use App\Http\Requests\NoticiaUpdateRequest;
use App\Models\Noticia;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Storage;

class NoticiaController extends Controller {
    /**
     * Display a listing of the resource.
     */
    public function index() {
        // Auth -> Facades de laravel
        // Auth::check(); // Devuelve true o false si el usuario esta autenticado o no.
        // Auth::guest(); // Devuelve true o false si el usuario no esta autenticado o no.
        // Auth::user(); // Devuelve el usuario actualmente autenticado.
        // Auth::user()->user_id; // Devuelve el usuario actualmente autenticado.
        // Auth::user()->name; // Devuelve el nombre usuario actualmente autenticado.

        // auth()->check(); // Devuelve true o false si el usuario esta autenticado o no.
        // auth()->user(); // Devuelve el usuario actualmente autenticado.
        // auth()->user()->user_id; // Devuelve el usuario actualmente autenticado.

        // Obtengo todas las noticias de los usuarios
        $noticias = Noticia::paginate(8);

        // Redireciona a la vista back.index con el usuario logueado
        return view('back.noticias.index', compact('noticias'));
    }

    /**
     * Show the form for creating a new resource.
    */
    public function create() {
        return view('back.noticias.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(NoticiaStoreRequest $request) {
        $fotoEnviada = $request->file('foto');

        if ($fotoEnviada) {
            $foto = $fotoEnviada->store('fotos', 'public');
        }
        else {
            $foto = null;
        }

        $noticia = new Noticia();
            $noticia->fill($request->all());
            $noticia->foto = $foto;
            $noticia->user_id = Auth::user()->id;
        $noticia->save();

        return redirect()
            ->route('back.noticias.show', $noticia)
            ->with('mensaje', 'Noticia se ha creado con éxito');
    }

    /**
     * Display the specified resource.
     */
    public function show(Noticia $noticia) {
        return view('back.noticias.show', compact('noticia'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Noticia $noticia) {
        if ($noticia->user_id != Auth::user()->id) {
            abort(403, 'No tienes permisos para editar esta noticia');
        }

        return view('back.noticias.edit', compact('noticia'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(NoticiaUpdateRequest $request, Noticia $noticia) {
        if ($request->hasFile('foto')) {
            $fotoEnviada = $request->file('foto');
            Storage::disk('public')->delete($noticia->foto);

            $nuevaFoto = $fotoEnviada->store('fotos', 'public');

            $noticia->fill($request->all());
            $noticia->foto = $nuevaFoto;
            $noticia->user_id = Auth::user()->id;
        }
        else {
            $noticia->update($request->all());
        }

        $noticia->save();

        return redirect()
            ->route('back.noticias.show', $noticia)
            ->with('mensaje', 'Noticia actualizado con éxito')
        ;
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Noticia $noticia) {
        if ($noticia->user_id != Auth::user()->id) {
            abort(403, 'No tienes permisos para borrar esta noticia');
        }

        $fotoEnviada = $noticia->foto;
        Storage::disk('public')->delete($fotoEnviada);

        $noticia->delete();

        return redirect()
            ->route('back.noticias.listado')
            ->with('mensaje', 'Noticia borrada con éxito')
        ;
    }

    public function listado() {
        $noticias = Noticia::where('user_id', Auth::user()->id)->paginate(8);

        return view('back.noticias.listado', compact('noticias'));
    }

    public function searchNoticia(Request $request) {
        // Validar el parámetro de búsqueda
        $validated = $request->validate([
            'query' => 'required|string|max:255',
        ]);

        $query = $validated['query'];

        // Ejecutar la búsqueda de noticias con paginación
        $noticias = Noticia::where('titulo', 'like', '%' . $query . '%')->paginate(8);

        // Agregar el parámetro de consulta a la paginación
        $noticias->appends(['query' => $query]);

        // Retornar la vista con los resultados de la búsqueda
        return view('back.noticias.listado', compact('noticias'));
    }
}

app/Http/Controllers/front/NoticiaController.php
<?php

namespace App\Http\Controllers\front;

use App\Http\Controllers\Controller;
use App\Models\Noticia;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class NoticiaController extends Controller {
    /**
     * Debe mostrar todas las noticias en frontend. No debe aparecer los botones de edicion.
    */
    public function index() {
        // Obtengo todas las noticias

        // Quiero ver el nombre del usuario que ha creado la noticia
        $noticias = Noticia::paginate(3);

        // Redireciona a la vista front.index frontend
        return view('front.index', compact('noticias'));
    }

    public function show(Noticia $noticia) {
        return view('front.noticias.show', compact('noticia'));
    }

    public function searchNoticia(Request $request) {
        $noticias = Noticia::where('titulo', 'like', '%' . $request->buscar . '%')
                        ->orWhere('contenido', 'like', '%' . $request->buscar . '%')
                        ->paginate(4);

        $noticias->withPath('/noticias/buscando'); // Esto establece la ruta para la paginación

        return view('front.index', compact('noticias'));
    }
}

app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

/**
 * Este componente es el layout para las vistas del backend
 */
class AppLayout extends Component {
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View {
        return view('layouts.app');
    }
}

resources/views/back/noticias/create.blade.php
<x-app-layout>
    <div class="container mx-auto p-6 mt-5 bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg">
        <form action="{{ route('back.noticias.store') }}" method="POST" enctype="multipart/form-data">
            @csrf

            <div class="space-y-12">
                <div class="border-b border-gray-900/10 pb-12">
                    <h2 class="text-xl font-semibold leading-7 text-indigo-600 dark:text-indigo-400 border-b border-indigo-600 dark:border-indigo-400 pb-2 mb-6">Crea tu Noticia</h2>

                    <div class="mt-4">
                        <div class="relative">
                            <input type="text" id="titulo" aria-describedby="error_titulo" name="titulo" class="block px-2.5 pb-2.5 pt-4 w-full text-lg text-gray-900 bg-transparent rounded-lg border dark:text-white dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer @error('titulo') border-red-500 dark:border-red-500 @enderror" placeholder=" " />
                            <label for="titulo" class="absolute text-base text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-4 scale-75 top-2 z-10 origin-[0] bg-white dark:bg-gray-800 px-2 peer-focus:px-2 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:-translate-y-1/2 peer-placeholder-shown:top-1/2 peer-focus:top-2 peer-focus:scale-75 peer-focus:-translate-y-4 rtl:peer-focus:translate-x-1/4 rtl:peer-focus:left-auto start-1">Título</label>
                        </div>

                        @error('titulo')
                            <p id="error_titulo" class="mt-2 text-sm text-red-600 dark:text-red-400"><span class="font-medium">{{ $message }}</span></p>
                        @enderror
                    </div>

                    <div class="mt-4">
                        <div class="relative">
                            <textarea id="contenido" rows="3" aria-describedby="error_contenido" name="contenido" class="block px-2.5 pb-2.5 pt-4 w-full text-lg text-gray-900 bg-transparent rounded-lg border dark:text-white dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer @error('contenido') border-red-500 dark:border-red-500 @enderror" placeholder=" "></textarea>
                            <label for="contenido" class="absolute text-base text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-4 scale-75 top-2 z-10 origin-[0] bg-white dark:bg-gray-800 px-2 peer-focus:px-2 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:-translate-y-1/2 peer-placeholder-shown:top-1/2 peer-focus:top-2 peer-focus:scale-75 peer-focus:-translate-y-4 rtl:peer-focus:translate-x-1/4 rtl:peer-focus:left-auto start-1">Contenido</label>
                        </div>

                        @error('contenido')
                            <p id="error_contenido" class="mt-2 text-sm text-red-600 dark:text-red-400"><span class="font-medium">{{ $message }}</span></p>
                        @enderror
                    </div>

                    <div class="col-span-full mt-7">
                        <label for="cover-photo" class="block text-base font-medium leading-6 text-gray-900 dark:text-white">Foto de la noticia</label>

                        <div class="mt-2 flex justify-center rounded-lg border border-dashed border-gray-900/25 px-6 py-10 dark:border-gray-700">
                            <div class="text-center">
                                <div id="preview" class="bg-cover">
                                    <svg id="svg-icon" class="mx-auto h-12 w-12 text-gray-300 dark:text-gray-600" viewBox="0 0 24 24" fill="currentColor" aria-hidden="true">
                                        <path fill-rule="evenodd" d="M1.5 6a2.25 2.25 0 012.25-2.25h16.5A2.25 2.25 0 0122.5 6v12a2.25 2.25 0 01-2.25 2.25H3.75A2.25 2.25 0 011.5 18V6zM3 16.06V18c0 .414.336.75.75.75h16.5A.75.75 0 0021 18v-1.94l-2.69-2.689a1.5 1.5 0 00-2.12 0l-.88.879.97.97a.75.75 0 11-1.06 1.06l-5.16-5.159a1.5 1.5 0 00-2.12 0L3 16.061zm10.125-7.81a1.125 1.125 0 112.25 0 1.125 1.125 0 01-2.25 0z" clip-rule="evenodd" />
                                    </svg>
                                </div>
                                <div class="mt-4 flex text-sm leading-6 text-gray-600 dark:text-gray-400">
                                    <label for="foto" class="relative cursor-pointer rounded-md bg-white dark:bg-gray-800 font-semibold text-indigo-600 focus-within:outline-none focus-within:ring-2 focus-within:ring-indigo-600 focus-within:ring-offset-2 hover:text-indigo-500">
                                        <div class="flex flex-col items-center justify-center">
                                            <span>Subir Imagen</span>
                                            <p class="text-xs leading-5 text-gray-600 dark:text-gray-400">PNG, JPG, hasta 1MB</p>
                                        </div>

                                        <input type="file" id="foto" name="foto" class="sr-only">
                                    </label>
                                </div>
                            </div>
                        </div>

                        @error('foto')
                            <p class="mt-2 text-sm text-red-600 dark:text-red-400"><span class="font-medium">{{ $message }}</span></p>
                        @enderror
                    </div>
                </div>

                <div class="mt-6 flex justify-center gap-x-6">
                    <button type="submit" class="rounded-md bg-indigo-600 px-3 py-2 text-sm font-semibold text-white shadow-sm hover:bg-indigo-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Crear</button>
                </div>
            </div>
        </form>
    </div>
</x-app-layout>

<script>
    document.getElementById('foto').addEventListener('change', function(e) {
        var file = e.target.files[0];
        var reader = new FileReader();
        var preview = document.getElementById('preview');
        var svgIcon = document.getElementById('svg-icon');

        reader.onloadend = function() {
            preview.style.backgroundImage = 'url("' + reader.result + '")';
            preview.style.backgroundSize = 'contain';
            preview.style.backgroundRepeat = 'no-repeat';
            preview.style.backgroundPosition = 'center';
            preview.classList.add('w-64', 'h-64');
            svgIcon.style.display = 'none';
        }

        if (file) {
            reader.readAsDataURL(file);
        } else {
            preview.style.backgroundImage = 'none';
            preview.classList.remove('w-64', 'h-64');
            svgIcon.style.display = 'block';
        }
    });
</script>

resources/views/back/noticias/edit.blade.php
<x-app-layout >
    <div class="container mx-auto p-6 mt-5 bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg">
        <form action="{{ route('back.noticias.update', $noticia) }}" method="POST"  enctype="multipart/form-data">
            @csrf
            @method('PUT')

            <div class="space-y-12">
                <div class="border-b border-gray-900/10 pb-12">
                    <h2 class="text-xl font-semibold leading-7 text-indigo-600 dark:text-indigo-400 border-b border-indigo-600 dark:border-indigo-400 pb-2 mb-6">Actualizar Noticia</h2>

                    <div class="mt-4">
                        <div class="relative">
                            <input type="text" id="titulo" aria-describedby="error_titulo" name="titulo" class="block px-2.5 pb-2.5 pt-4 w-full text-lg text-gray-900 bg-transparent rounded-lg border dark:text-white dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer @error('titulo') border-red-500 dark:border-red-500 @enderror" placeholder=" " value="{{ old('titulo', $noticia->titulo) }}"/>
                            <label for="titulo" class="absolute text-base text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-4 scale-75 top-2 z-10 origin-[0] bg-white dark:bg-gray-800 px-2 peer-focus:px-2 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:-translate-y-1/2 peer-placeholder-shown:top-1/2 peer-focus:top-2 peer-focus:scale-75 peer-focus:-translate-y-4 rtl:peer-focus:translate-x-1/4 rtl:peer-focus:left-auto start-1">Título</label>
                        </div>

                        @error('titulo')
                            <p id="error_titulo" class="mt-2 text-sm text-red-600 dark:text-red-400"><span class="font-medium">{{ $message }}</span></p>
                        @enderror
                    </div>

                    <div class="mt-4">
                        <div class="relative">
                            <textarea id="contenido" rows="3" aria-describedby="error_contenido" name="contenido" class="block px-2.5 pb-2.5 pt-4 w-full text-lg text-gray-900 bg-transparent rounded-lg border dark:text-white dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer @error('contenido') border-red-500 dark:border-red-500 @enderror" placeholder=" ">{{ old('contenido', $noticia->contenido) }}</textarea>
                            <label for="contenido" class="absolute text-base text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-4 scale-75 top-2 z-10 origin-[0] bg-white dark:bg-gray-800 px-2 peer-focus:px-2 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:-translate-y-1/2 peer-placeholder-shown:top-1/2 peer-focus:top-2 peer-focus:scale-75 peer-focus:-translate-y-4 rtl:peer-focus:translate-x-1/4 rtl:peer-focus:left-auto start-1">Contenido</label>
                        </div>

                        @error('contenido')
                            <p id="error_contenido" class="mt-2 text-sm text-red-600 dark:text-red-400"><span class="font-medium">{{ $message }}</span></p>
                        @enderror
                    </div>

                    <div class="col-span-full gap-y-8 mt-7">
                        <label for="cover-photo" class="block text-base font-medium leading-6 text-gray-900 dark:text-white">Foto de la noticia</label>

                        <div class="mt-2 flex justify-center rounded-lg border border-dashed border-gray-900/25 px-6 py-10">
                            <div class="text-center">
                                <div id="preview" class="bg-cover w-full h-60">
                                    <img id="preview-image" class="w-full h-60" src="{{ asset('storage/' . $noticia->foto ) }}">
                                </div>

                                <div class="mt-4 flex text-sm leading-6 text-gray-600">
                                    <label for="foto" class="relative cursor-pointer rounded-md bg-white font-semibold text-indigo-600 focus-within:outline-none focus-within:ring-2 focus-within:ring-indigo-600 focus-within:ring-offset-2 hover:text-indigo-500">
                                        <div class="flex flex-col items-center justify-center">
                                            <span>Subir Imagen</span>
                                            <p class="text-xs leading-5 text-gray-600">PNG, JPG, up to 1MB</p>
                                        </div>
                                        <input type="file" id="foto" name="foto" class="sr-only">
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="mt-6 flex justify-center gap-x-6">
                    <button type="submit" class="rounded-md bg-indigo-600 px-3 py-2 text-sm font-semibold text-white shadow-sm hover:bg-indigo-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Actualizar</button>
                </div>
            </div>
        </form>
    </div>
</x-app-layout>

<script>
    document.getElementById('foto').addEventListener('change', function(e) {
        var file = e.target.files[0];
        var reader = new FileReader();
        var preview = document.getElementById('preview');
        var previewImage = document.getElementById('preview-image');

        if (file) {
            reader.onloadend = function() {
                previewImage.src = reader.result;
                previewImage.style.display = 'block';
                preview.style.backgroundImage = 'none';
            }
            reader.readAsDataURL(file);
        }
        else {
            previewImage.style.display = 'none';
            preview.style.backgroundImage = 'url("' + previewImage.src + '")';
            preview.style.backgroundSize = 'cover'; // Asegura que la imagen se ajuste al contenedor
        }
    });
</script>

resources/views/back/noticias/index.blade.php
<x-app-layout>
    <div class="m-6">
        <x-alerta/>

        <form class="max-w-md mx-auto m-5" action="{{ route('back.noticias.searchNoticia') }}" method="GET">
            <label for="default-search" class="mb-2 text-sm font-medium text-gray-900 sr-only dark:text-white">Search</label>
            <div class="relative">
                <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                    <svg class="w-4 h-4 text-gray-500 dark:text-gray-400" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20">
                        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m19 19-4-4m0-7A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z"/>
                    </svg>
                </div>
                <input type="search" id="default-search" name="query" class="block w-full p-4 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="Buscar noticias" required />
                <button type="submit" class="text-white absolute right-2.5 bottom-2.5 bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">Buscar</button>
            </div>
        </form>

        <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-6">
            @if(count($noticias) != 0)
                @foreach ($noticias as $noticia)
                    <div class="max-w-sm bg-white border border-gray-200 rounded-lg shadow-md dark:bg-gray-800 dark:border-gray-700 overflow-hidden transition-transform duration-500 ease-out hover:scale-105 relative flex flex-col">
                        <div class="absolute top-0 right-0 p-2 bg-white bg-opacity-75 rounded-md">
                            <p class="text-xs text-gray-500">{{ $noticia->created_at->diffForHumans() }}</p>
                        </div>

                        @if ($noticia->foto != null)
                            <a href="{{ route('back.noticias.show', $noticia) }}">
                                    <img class="w-full h-48 object-cover" src="{{ asset('storage/' . $noticia->foto ) }}" alt="" />
                            </a>
                        @endif

                        <div class="p-5 flex-grow">
                            <a href="{{ route('back.noticias.show', $noticia) }}">
                                <h5 class="mb-2 text-xl font-semibold leading-tight text-gray-900 dark:text-white">{{ $noticia->titulo }}</h5>
                            </a>

                            <hr class="my-2 border-gray-200 dark:border-gray-600">

                            <div class="flex items-center mb-2 text-gray-600 dark:text-gray-400">
                                <svg class="h-4 w-4 mr-1.5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 14l9-5-9-5-9 5 9 5z"></path>
                                </svg>
                                <p class="text-sm">{{ $noticia->user->name }}</p>
                            </div>

                            <p class="text-sm text-gray-700 dark:text-gray-400">{{ Str::limit($noticia->contenido, 100, '...') }}</p>
                        </div>

                        <div class="p-5">
                            <div class="flex justify-start items-start space-x-2">
                                <a href="{{ route('back.noticias.show', $noticia) }}" class="inline-flex justify-center items-center px-3 py-2 text-sm font-medium text-center text-white bg-blue-500 rounded-lg hover:bg-blue-600 focus:ring-4 focus:outline-none focus:ring-blue-300 dark:bg-blue-400 dark:hover:bg-blue-500 dark:focus:ring-blue-600">
                                    Ver más
                                </a>
                                @if ($noticia->user_id == Auth::user()->id)
                                    <a href="{{ route('back.noticias.edit', $noticia) }}" class="inline-flex justify-center items-center px-3 py-2 text-sm font-medium text-center text-white bg-green-500 rounded-lg hover:bg-green-600 focus:ring-4 focus:outline-none focus:ring-green-300 dark:bg-green-400 dark:hover:bg-green-500 dark:focus:ring-green-600">
                                        Editar
                                    </a>
                                    <button data-modal-show="modalborrado-{{ $noticia->id }}" class="inline-flex justify-center items-center px-3 py-2 text-sm font-medium text-center text-white bg-red-500 rounded-lg hover:bg-red-600 focus:ring-4 focus:outline-none focus:ring-red-300 dark:bg-red-400 dark:hover:bg-red-500 dark:focus:ring-red-600">
                                        Borrar
                                    </button>
                                @endif
                            </div>
                        </div>
                    </div>

                    <x-modalborrado
                        idModal="modalborrado-{{ $noticia->id }}"
                        mensaje="¿Estás seguro de que quieres borrar esta noticia?"
                        ruta="{{ route('back.noticias.destroy', $noticia) }}"
                    />
                @endforeach
            @else
                <p class="text-center text-lg font-semibold text-gray-700 dark:text-gray-300 mt-8">No hay noticias</p>
            @endif
        </div>

        <div class="mt-6">
            {{ $noticias->links() }}
        </div>
    </div>

    @push('js')
        <script>
            document.addEventListener('DOMContentLoaded', () => {
                const showModal = (modalId) => {
                    document.getElementById(modalId).classList.remove('hidden');
                };

                const hideModal = (modalId) => {
                    document.getElementById(modalId).classList.add('hidden');
                };

                document.querySelectorAll('[data-modal-show]').forEach(button => {
                    button.addEventListener('click', () => {
                        showModal(button.getAttribute('data-modal-show'));
                    });
                });

                document.querySelectorAll('[data-modal-hide]').forEach(button => {
                    button.addEventListener('click', () => {
                        hideModal(button.getAttribute('data-modal-hide'));
                    });
                });
            });
        </script>
    @endpush
</x-app-layout>

resources/views/back/noticias/show.blade.php
<x-app-layout>
    <x-tarjetaback
        :registro="$noticia"
        modelo="noticias"
        titulo='Noticia'
        modalMensaje="¿Estás seguro de que quieres borrar esta noticia?"
    />
</x-app-layout>

@pushn('js')
    <script>
        document.addEventListener('DOMContentLoaded', () => {
            const showModal = (modalId) => {
                document.getElementById(modalId).classList.remove('hidden');
            };

            const hideModal = (modalId) => {
                document.getElementById(modalId).classList.add('hidden');
            };

            document.querySelectorAll('[data-modal-show]').forEach(button => {
                button.addEventListener('click', () => {
                    showModal(button.getAttribute('data-modal-show'));
                });
            });

            document.querySelectorAll('[data-modal-hide]').forEach(button => {
                button.addEventListener('click', () => {
                    hideModal(button.getAttribute('data-modal-hide'));
                });
            });
        });
    </script>
@endpushn